## WebKitDOMHTMLMenuElement WebKitDOMHTMLMenuElement |

## Functions

gboolean | webkit_dom_html_menu_element_get_compact ()
void | webkit_dom_html_menu_element_set_compact ()

## Properties

gboolean | compact | Read / Write

## Types and Values

| WebKitDOMHTMLMenuElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLMenuElement

## Implemented Interfaces

WebKitDOMHTMLMenuElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_menu_element_get_compact ()

    gboolean
    webkit_dom_html_menu_element_get_compact
                                   (WebKitDOMHTMLMenuElement *self);

#### Parameters

self | A WebKitDOMHTMLMenuElement |

#### Returns

A gboolean

### webkit_dom_html_menu_element_set_compact ()

    void
    webkit_dom_html_menu_element_set_compact
                                   (WebKitDOMHTMLMenuElement *self,
                                    gboolean value);

#### Parameters

self | A WebKitDOMHTMLMenuElement |
value | A gboolean |

## Types and Values

### WebKitDOMHTMLMenuElement

    typedef struct _WebKitDOMHTMLMenuElement WebKitDOMHTMLMenuElement;

## Property Details

### The `“compact”` property

      “compact”                  gboolean

read-write gboolean HTMLMenuElement:compact.

Flags: Read / Write

Default value: FALSE